Bug 172903 - pmap_dump shows no RPC programs
Summary: pmap_dump shows no RPC programs
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: portmap   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-11 00:38 UTC by Edgar Hoch
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 01:50:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Edgar Hoch 2005-11-11 00:38:11 UTC
Description of problem:

When I try to use 'pmap_dump' then the output is empty.
'rpcinfo -p' shows registered RPC programs - this list is not empty.

I think that if 'rpcinfo -p' shows RPC programs
then 'pmap_dump' should not be empty.

[root@localhost ~]# pmap_dump
[root@localhost ~]# rpcinfo -p
   Program Vers Proto   Port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp  32768  status
    100024    1   tcp  32769  status
    100021    1   udp  32769  nlockmgr
    100021    3   udp  32769  nlockmgr
    100021    4   udp  32769  nlockmgr
    100021    1   tcp  32773  nlockmgr
    100021    3   tcp  32773  nlockmgr
    100021    4   tcp  32773  nlockmgr
    100007    2   udp    893  ypbind
    100007    1   udp    893  ypbind
    100007    2   tcp    896  ypbind
    100007    1   tcp    896  ypbind

pmap_dump is used in /etc/init.d/portmap.

I am sorry if the empty output of pmap_dump would be correct in this case.


Version-Release number of selected component (if applicable):
portmap-4.0-65

How reproducible:
allways

Steps to Reproduce:
1.pmap_dump
2.rpcinfo -p

  
Actual results:
pmap_dump output is empty.

Expected results:
pmap_dump output should show the registerd RPC programs.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.